@echo off

rem ----------------------------------------------------------------------
rem  Ephemeral/Private Port Assignment Manager : command-line batch file
rem 
rem  (C) Copyright IBM Corp. 2005 All Rights Reserved.
rem  
rem  US Government Users Restricted Rights - Use, duplication or
rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem  
rem ----------------------------------------------------------------------

setlocal

@rem : Get current directory

set THIS_CMD_PATH=%~f0

set THIS_CMD_DIR=%THIS_CMD_PATH:\eppam.bat=%


@rem : Find jars

set JARFINDER=%THIS_CMD_DIR%\findJar.bat
for /F "tokens=*" %%j in ('call "%JARFINDER%" eppam.jar') do set EPPAM_JAR=%%j
if "%EPPAM_JAR%" == "ERROR" goto finished


@rem : Find java interpeter

set JAVAFINDER=%THIS_CMD_DIR%\findJava.bat
for /F "tokens=*" %%j in ('call "%JAVAFINDER%"') do set JAVACMD=%%j
if "%JAVACMD%" == "ERROR" goto finished


@rem : Run main class

set MAIN_CLASS=com.ibm.tivoli.svc.eppam.EPPortAssignmentClient

"%JAVACMD%" -classpath "%EPPAM_JAR%" %MAIN_CLASS% %*


:finished

endlocal
